<template>
  
	<div :class="{ 'd-flex flex-row-reverse': getChat.is_me }">

		<v-card mb-2>
			<v-card-title style="font-size: 0.75rem;">{{ getChat.created_by }}</v-card-title>
			<v-card-subtitle style="font-size: 0.65rem;">{{ getChat.created_at }}</v-card-subtitle>
			<v-card-text>{{ getChat.subject }}</v-card-text>
		</v-card>

	</div>

</template>

<script>
import {mapGetters, mapActions} from 'vuex'

export default {

	name:'chat-buble',
	props:['portal'],
	data:function(){
		return{
			
		}
	},
	methods:{

	},
	computed:{
		...mapGetters({
			'whoAmI':'authenticate/whoAmI'
		}),
		nameOfLoggedInUser(){
			return this.whoAmI.name
		},
		getChat(){

			let{portal} = this.$props

			let name = this.nameOfLoggedInUser

			if(portal.created_by === name){
				portal.is_me = true
			}			

			return portal 

		}
	},
	mounted(){

		console.log('Buble Mounted')

	}
}

</script>

<style>

</style>